Loading...
Searching...
No Matches
seek.c File Reference

GIS Library - file seek routines. More...

`#include <stdio.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for gis/seek.c:

Go to the source code of this file.

## Functions

off_t | G_ftell (FILE *fp)
| Get the current file position of the stream.

## Detailed Description

GIS Library - file seek routines.

(C) 2009-2010 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file gis/seek.c.

## Function Documentation

## G_ftell()

off_t G_ftell | ( | FILE * | fp | ) |

Get the current file position of the stream.

Parameters

  fp | file descriptor

Returns
  file position
  -1 on failure

Definition at line 29 of file gis/seek.c.

Referenced by dfwrite_header(), G_get_element_window(), and read_cube().